<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_node.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
<h1>vx_node.h</h1><a href="vx__node_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment"> * Copyright (c) 2012-2016 The Khronos Group Inc.</span>
<a name="l00003"></a>00003 <span class="comment"> *</span>
<a name="l00004"></a>00004 <span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a</span>
<a name="l00005"></a>00005 <span class="comment"> * copy of this software and/or associated documentation files (the</span>
<a name="l00006"></a>00006 <span class="comment"> * &quot;Materials&quot;), to deal in the Materials without restriction, including</span>
<a name="l00007"></a>00007 <span class="comment"> * without limitation the rights to use, copy, modify, merge, publish,</span>
<a name="l00008"></a>00008 <span class="comment"> * distribute, sublicense, and/or sell copies of the Materials, and to</span>
<a name="l00009"></a>00009 <span class="comment"> * permit persons to whom the Materials are furnished to do so, subject to</span>
<a name="l00010"></a>00010 <span class="comment"> * the following conditions:</span>
<a name="l00011"></a>00011 <span class="comment"> *</span>
<a name="l00012"></a>00012 <span class="comment"> * The above copyright notice and this permission notice shall be included</span>
<a name="l00013"></a>00013 <span class="comment"> * in all copies or substantial portions of the Materials.</span>
<a name="l00014"></a>00014 <span class="comment"> *</span>
<a name="l00015"></a>00015 <span class="comment"> * MODIFICATIONS TO THIS FILE MAY MEAN IT NO LONGER ACCURATELY REFLECTS</span>
<a name="l00016"></a>00016 <span class="comment"> * KHRONOS STANDARDS. THE UNMODIFIED, NORMATIVE VERSIONS OF KHRONOS</span>
<a name="l00017"></a>00017 <span class="comment"> * SPECIFICATIONS AND HEADER INFORMATION ARE LOCATED AT</span>
<a name="l00018"></a>00018 <span class="comment"> *    https://www.khronos.org/registry/</span>
<a name="l00019"></a>00019 <span class="comment"> *</span>
<a name="l00020"></a>00020 <span class="comment"> * THE MATERIALS ARE PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND,</span>
<a name="l00021"></a>00021 <span class="comment"> * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF</span>
<a name="l00022"></a>00022 <span class="comment"> * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.</span>
<a name="l00023"></a>00023 <span class="comment"> * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY</span>
<a name="l00024"></a>00024 <span class="comment"> * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,</span>
<a name="l00025"></a>00025 <span class="comment"> * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE</span>
<a name="l00026"></a>00026 <span class="comment"> * MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.</span>
<a name="l00027"></a>00027 <span class="comment"> */</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 
<a name="l00030"></a>00030 
<a name="l00031"></a>00031 <span class="preprocessor">#ifndef VX_NODE_H_</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span><span class="preprocessor">#define VX_NODE_H_</span>
<a name="l00033"></a>00033 <span class="preprocessor"></span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00036"></a>00036 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {
<a name="l00037"></a>00037 <span class="preprocessor">#endif</span>
<a name="l00038"></a>00038 <span class="preprocessor"></span>
<a name="l00048"></a><a class="code" href="structtivx__node__t.html">00048</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>_vx_node {
<a name="l00050"></a><a class="code" href="structtivx__node__t.html#ac2bb36696cbdd51f1cd5ddd4a519acd6">00050</a>     <a class="code" href="structtivx__reference__t.html" title="The most basic type in the OpenVX system. Any type that inherits from tivx_reference_t...">tivx_reference_t</a>    base;
<a name="l00052"></a><a class="code" href="structtivx__node__t.html#a78e4a030aa9acc2710348c3e4c2f43ff">00052</a>     <a class="code" href="vx__types_8h.html#a7e71c08b1777e49abaf4417506ca8451" title="An opaque reference to a graph.">vx_graph</a>            graph;
<a name="l00054"></a><a class="code" href="structtivx__node__t.html#a67b5d0826b4906ecbd24e58293f7862d">00054</a>     <a class="code" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a" title="An opaque reference to the descriptor of a kernel.">vx_kernel</a>           kernel;
<a name="l00056"></a><a class="code" href="structtivx__node__t.html#a908361336b39f39d9be2d9c62a4bf4e1">00056</a>     <a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a>        parameters[<a class="code" href="group__group__tivx__obj__desc__cfg.html#ga4cc5e19e782439d7422fd08f47c17b09" title="Max parameters in a kernel.">TIVX_KERNEL_MAX_PARAMS</a>];
<a name="l00058"></a><a class="code" href="structtivx__node__t.html#a7ea87364a4e247ac25d806b815111291">00058</a>     <a class="code" href="structtivx__obj__desc__node__t.html" title="Node object descriptor.">tivx_obj_desc_node_t</a>  *obj_desc;
<a name="l00060"></a><a class="code" href="structtivx__node__t.html#aef83a89cc0a1732adec8bee154ba9da0">00060</a>     <a class="code" href="structtivx__obj__desc__cmd__t.html" title="Command object descriptor.">tivx_obj_desc_cmd_t</a> *obj_desc_cmd;
<a name="l00062"></a><a class="code" href="structtivx__node__t.html#a53d94102d3c60e3d5692533a5a19c034">00062</a>     <a class="code" href="structvx__perf__t.html" title="The performance measurement structure. The time or durations are in units of nano...">vx_perf_t</a> perf;
<a name="l00064"></a><a class="code" href="structtivx__node__t.html#a9e93e2f70f2a797995ac30e0842c0595">00064</a>     <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> replicated_flags[<a class="code" href="group__group__tivx__obj__desc__cfg.html#ga4cc5e19e782439d7422fd08f47c17b09" title="Max parameters in a kernel.">TIVX_KERNEL_MAX_PARAMS</a>];
<a name="l00066"></a><a class="code" href="structtivx__node__t.html#aec823abdde8d327d55d004dccad9b369">00066</a>     <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> valid_rect_reset;
<a name="l00068"></a><a class="code" href="structtivx__node__t.html#a1d55916a3f0ec241420bd3aa62bc7ca1">00068</a>     <a class="code" href="vx__types_8h.html#a7f33f2fa408e270f690d800d117328f3" title="A callback to the client after a particular node has completed.">vx_nodecomplete_f</a> user_callback;
<a name="l00070"></a><a class="code" href="structtivx__node__t.html#af72de0f7d6d4542d102e63977ba9d45a">00070</a>     <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> is_kernel_created;
<a name="l00074"></a><a class="code" href="structtivx__node__t.html#a997f7542cff0e4cc6672d29457c21890">00074</a>     <a class="code" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0" title="Typedef for a event.">tivx_event</a> completion_event;
<a name="l00076"></a><a class="code" href="structtivx__node__t.html#a56e7a3b16e1932ae256ea06818c9485c">00076</a>     <span class="keywordtype">void</span> *local_data_ptr;
<a name="l00078"></a><a class="code" href="structtivx__node__t.html#a302e1a71af71742839adb49215a3d09d">00078</a>     <a class="code" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324" title="A wrapper of size_t to keep the naming convention uniform.">vx_size</a> local_data_size;
<a name="l00083"></a><a class="code" href="structtivx__node__t.html#a47b3a039c3e963100cc77df97fb2ad3c">00083</a>     <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> local_data_ptr_is_alloc;
<a name="l00084"></a>00084 
<a name="l00086"></a><a class="code" href="structtivx__node__t.html#a6ccc51f440958963f1f74bdf6d5473fb">00086</a>     <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> local_data_set_allow;
<a name="l00087"></a>00087 
<a name="l00089"></a><a class="code" href="structtivx__node__t.html#ad252d988ed09a3bbc49f2f13aaed2984">00089</a>     uint16_t incounter;
<a name="l00090"></a>00090 
<a name="l00091"></a>00091 } <a class="code" href="structtivx__node__t.html" title="The internal representation of a node.">tivx_node_t</a>;
<a name="l00092"></a>00092 
<a name="l00104"></a>00104 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__node.html#gaa40301a5bc1bd16df614c3c7eab93feb" title="Set the target for node based on immediate mode target set in context.">ownSetNodeImmTarget</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node);
<a name="l00105"></a>00105 
<a name="l00117"></a>00117 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__node.html#ga7a81114a7f3c3c88c3c5645fbf4906cf" title="Set the attribute VX_NODE_VALID_RECT_RESET in node.">ownSetNodeAttributeValidRectReset</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node, <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> is_reset);
<a name="l00118"></a>00118 
<a name="l00119"></a>00119 
<a name="l00123"></a>00123 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__node.html#ga2cda0c09f0283ba5ae1da465a7854b4a" title="Validate user kernel or target kernel associated with this node.">ownNodeKernelValidate</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node, <a class="code" href="vx__types_8h.html#abfa72c9eff71470a4c96e3cab7dbe838" title="This object is used by output validation functions to specify the meta data of the...">vx_meta_format</a> meta[]);
<a name="l00124"></a>00124 
<a name="l00128"></a>00128 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__node.html#gabd0685f1f78c0dac0cfc39aa5e7cdd68" title="Init user kernel or target kernel associated with this node.">ownNodeKernelInit</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node);
<a name="l00129"></a>00129 
<a name="l00130"></a>00130 
<a name="l00135"></a>00135 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__node.html#ga2afec8a9f96c76097f76f86f166822ba" title="Schedule user kernel or target kernel associated with this node for execution.">ownNodeKernelSchedule</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node);
<a name="l00136"></a>00136 
<a name="l00140"></a>00140 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__node.html#gae353287731c9c0fb243a4d158d974068" title="Wait for completion event.">ownNodeWaitCompletionEvent</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node);
<a name="l00141"></a>00141 
<a name="l00145"></a>00145 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__node.html#gaf7512617962fe1a6c9c7074af841b3d4" title="DeInit user kernel or target kernel associated with this node.">ownNodeKernelDeinit</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node);
<a name="l00146"></a>00146 
<a name="l00150"></a>00150 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__node.html#ga1dd26d7b21e1d3cb9f41a0f1ceebb0d8" title="Reset node performance statistics.">ownResetNodePerf</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node);
<a name="l00151"></a>00151 
<a name="l00155"></a>00155 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__node.html#ga49453e6c9fcae493ab78ac21dff6740a" title="Called by graph each time after node execution.">ownUpdateNodePerf</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node);
<a name="l00156"></a>00156 
<a name="l00160"></a>00160 uint32_t <a class="code" href="group__group__vx__node.html#gace901937a320730ec12cfb7b11b54bbc" title="Return number of node parameters.">ownNodeGetNumParameters</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node);
<a name="l00161"></a>00161 
<a name="l00165"></a>00165 <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> <a class="code" href="group__group__vx__node.html#ga4df3a9daf021c8890d9c35bf08163120" title="Get direction of a parameter.">ownNodeGetParameterDir</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node, uint32_t prm_index);
<a name="l00166"></a>00166 
<a name="l00170"></a>00170 <a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> <a class="code" href="group__group__vx__node.html#ga0d67a618d2f2e725209769dc194f087f" title="Get reference associated with a parameters of a parameter.">ownNodeGetParameterRef</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node, uint32_t prm_index);
<a name="l00171"></a>00171 
<a name="l00172"></a>00172 
<a name="l00176"></a>00176 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__node.html#ga6bfce40df7b58f4ae6788160d00d692e" title="Associate a output node with a given node.">ownNodeAddOutNode</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node, <a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> out_node);
<a name="l00177"></a>00177 
<a name="l00181"></a>00181 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__node.html#gaf839c478caa89b5f453adfb6663a1aad" title="Associate a input node with a given node.">ownNodeAddInNode</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node, <a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> out_node);
<a name="l00182"></a>00182 
<a name="l00186"></a>00186 uint32_t <a class="code" href="group__group__vx__node.html#ga305faeb6f15ef6587cde24de5ddf9460" title="Get number of input nodes associated with this node.">ownNodeGetNumInNodes</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node);
<a name="l00187"></a>00187 
<a name="l00191"></a>00191 uint32_t <a class="code" href="group__group__vx__node.html#ga55dc0ee45815ecf7ce8f546e4fc37cb0" title="Get number of output nodes associated with this node.">ownNodeGetNumOutNodes</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node);
<a name="l00192"></a>00192 
<a name="l00198"></a>00198 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__node.html#ga31adaea81c40ecb6d143ff807eb2415a" title="Create a completion event for this node Typically called by graph object for all...">ownNodeCreateCompletionEvent</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node);
<a name="l00199"></a>00199 
<a name="l00205"></a>00205 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__node.html#ga382d6191891a85419d71bb446961de68" title="Create resources required to call a user callback If user callback is assigned then...">ownNodeCreateUserCallbackCommand</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node);
<a name="l00206"></a>00206 
<a name="l00211"></a>00211 <a class="code" href="vx__types_8h.html#a80014c261e13aeff37fcd6b0c9ef0f2c" title="The formal typedef of the response from the callback.">vx_action</a> <a class="code" href="group__group__vx__node.html#gaf49ad710f2f1015732aad0d2224d0ecb" title="Call user specified callback.">ownNodeExecuteUserCallback</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node);
<a name="l00212"></a>00212 
<a name="l00217"></a>00217 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__node.html#ga1fa01cfa84593b156556fae8136b41be" title="Send node completion event.">ownNodeSendCompletionEvent</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node);
<a name="l00218"></a>00218 
<a name="l00223"></a>00223 <span class="keywordtype">void</span> <a class="code" href="group__group__vx__node.html#ga8701f3a86954a5f74abfef6bd3756579" title="clears execute status of the node">ownNodeClearExecuteState</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node);
<a name="l00224"></a>00224 
<a name="l00229"></a>00229 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__node.html#ga96573e89e3c09eb1731194312418b921" title="Execute user kernel.">ownNodeUserKernelExecute</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node);
<a name="l00230"></a>00230 
<a name="l00231"></a>00231 
<a name="l00236"></a>00236 <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> <a class="code" href="group__group__vx__node.html#ga5413edaca750961e43f9d819e7fe41e8" title="Is prm_idx of node replicated.">ownNodeIsPrmReplicated</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node, uint32_t prm_idx);
<a name="l00237"></a>00237 
<a name="l00242"></a>00242 <span class="keywordtype">void</span> <a class="code" href="group__group__vx__node.html#ga29df5b8a5db460fe6edc05fb36d9bebf" title="Set parameter at node.">ownNodeSetParameter</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node, <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> index, <a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> value);
<a name="l00243"></a>00243 
<a name="l00248"></a>00248 <a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> <a class="code" href="group__group__vx__node.html#gacfbf936539d7c4da2e3e218cbc3d7af6" title="Get next node at given output index.">ownNodeGetNextNode</a>(<a class="code" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96" title="An opaque reference to a kernel node.">vx_node</a> node, <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> index);
<a name="l00249"></a>00249 
<a name="l00250"></a>00250 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00251"></a>00251 <span class="preprocessor"></span>}
<a name="l00252"></a>00252 <span class="preprocessor">#endif</span>
<a name="l00253"></a>00253 <span class="preprocessor"></span>
<a name="l00254"></a>00254 <span class="preprocessor">#endif</span>
</pre></div></div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
